<div class='card' id="private_users">
  <div class="card-divider">
    <h2 class="card-title">
      <%= t(".title") %>
      <% if allowed_to? :create, :space_private_user %>
         <%= link_to t("actions.new", scope: "decidim.admin", name: t("models.participatory_space_private_user.name", scope: "decidim.admin")), url_for(action: :new), class: "button tiny button--title new" %>
      <% end %>
    </h2>
  </div>

  <div class="card-section">
    <% if collection.any? %>
      <div class="table-scroll">
        <table class="stack">
          <thead>
            <tr>
              <th><%= t("models.assembly_user_role.fields.name", scope: "decidim.admin") %></th>
              <th><%= t("models.assembly_user_role.fields.email", scope: "decidim.admin") %></th>
              <th><%= t("models.user.fields.invitation_sent_at", scope: "decidim.admin") %></th>
              <th><%= t("models.user.fields.invitation_accepted_at", scope: "decidim.admin") %></th>
              <th class="actions"></th>
            </tr>
          </thead>
          <tbody>
            <% collection.each do |private_user| %>
              <tr>
                <td>
                  <%= private_user.user.name %><br>
                </td>
                <td>
                  <%= private_user.user.email %><br>
                </td>
                <td>
                  <% if private_user.user.invitation_sent_at %>
                    <%= l private_user.user.invitation_sent_at, format: :short %>
                  <% end %>
                </td>
                <td>
                  <% if private_user.user.invitation_accepted_at %>
                    <%= l private_user.user.invitation_accepted_at, format: :short %>
                  <% end %>
                </td>
                <td class="table-list__actions">
                  <% if allowed_to?(:invite, :space_private_user, private_user: private_user) && private_user.user.invited_to_sign_up? %>
                    <%= icon_link_to "reload", resend_invitation_participatory_space_private_user_path(current_participatory_space, private_user), t("actions.resend_invitation", scope: "decidim.admin"), class: "resend-invitation", method: :post %>
                  <% end %>

                  <% if allowed_to? :destroy, :space_private_user, private_user: private_user %>
                    <%= icon_link_to "circle-x", participatory_space_private_user_path(current_participatory_space, private_user), t("actions.destroy", scope: "decidim.admin"), class: "action-icon--remove", method: :delete, data: { confirm: t("actions.confirm_destroy", scope: "decidim.admin") } %>
                  <% end %>
                </td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>
      <%= decidim_paginate collection %>
    <% end %>
  </div>
</div>
